scala.collection.jcl.MutableSeq
trait Projection

[source: `scala/collection/jcl/MutableSeq.scala`]

`` `trait` Projection[A]
  `extends` MutableSeq[A]`with` Projection[A]`with` Projection[A]

Direct Known Subclasses:
  ArrayList.Projection0, Buffer.Projection, MutableSeq.Filter, MutableSeq.Map

Method Summary
`override def` | filter (pp : (A) => Boolean) : Projection[A] non-strict
`override def` | map [B](f : (A) => B) : Projection[B] non-strict
`override def` | projection : Projection[A] returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Methods inherited from Projection
force, flatMap, append, takeWhile

Methods inherited from MutableSeq
elements, isEmpty, apply, indexOf, length

Methods inherited from MutableIterable
has, remove, removeAll, --, -, retain, retainAll, size0, clear

Methods inherited from Seq
lengthCompare, size, concat, last, lastOption, headOption, ++, isDefinedAt, lastIndexOf, take, drop, slice, dropWhile, reverse, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
toString, stringPrefix

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` projection : Projection[A]

  returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  MutableSeq.projection, Projection.projection, Projection.projection

`override` `def` filter(pp : (A) => Boolean) : Projection[A]

  non-strict

Overrides
  Projection.filter, Projection.filter

`override` `def` map[B](f : (A) => B) : Projection[B]

  non-strict

Overrides
  Projection.map, Projection.map